Delete entry lock

Deletes a lock for the specified DataLens entry.

Request

POST

http://<хост_on-premises>/rpc/deleteEntryLock

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "entryId": "example",
  "params": {
    "lockToken": "example",
    "force": true
  }
}

Name

Description

entryId

Type: string

ID of the entry whose lock should be deleted.

Example: example

params

Type: object

lockToken

Type: string

Token identifying the lock to delete.

Example: example

force

Type: boolean

Whether to force lock deletion.

Example
{
  "lockToken": "example",
  "force": true
}

Responses

200 OK

Response

Body

application/json
{
  "entryId": "example",
  "lockId": "example",
  "lockToken": "example",
  "expiryDate": "example",
  "login": "example"
}

Name

Description

entryId

Type: string

ID of the locked entry.

Example: example

expiryDate

Type: string

Expiration date and time of the lock.

Example: example

lockId

Type: string

Unique identifier of the lock.

Example: example

lockToken

Type: string

Token identifying the lock.

Example: example

login

Type: string

Login of the user who owns the lock.

Example: example

Предыдущая
Следующая